std::ranges::take_view::sentinel(3)

NAME
std::ranges::take_view::sentinel - std::ranges::take_view::sentinel

Synopsis
   template< bool Const > (since C++20)
   class /*sentinel*/
   The return type of take_view::end when the underlying view is not a sized_range.
   The type /*sentinel*/<true> is returned by the const-qualified overload. The type
   /*sentinel*/<false> is returned by the non-const-qualified overload.
   The name of this class template (shown here as /*sentinel*/) is unspecified.
   Typical implementation holds only one data member: a sentinel obtained from
   (possibly const-qualified) V.

Member types
   Member type Definition
   Base(private) const V if Const is true, otherwise V. The name is for exposition only

Member functions
   constructor constructs a sentinel
   (C++20) (public member function)
   base returns the underlying sentinel
   (C++20) (public member function)

Non-member functions
   operator== compares a sentinel with an iterator returned from take_view::begin
   (C++20) (function)